<?php

if ( ! defined( 'ABSPATH' ) ) exit;


add_action( 'admin_enqueue_scripts', 'ppb_export_template_script' );

function ppb_export_template_script( ) {

    $screen_id = get_current_screen();
    $PbP_post_id = get_the_ID();
    if ($screen_id->post_type === 'ulpb_post'){
        wp_enqueue_script( 'ppb_export_template_script_enqueue', plugins_url( '',plugin_basename( __FILE__ ) ).'/export-page.js', array( 'jquery' ), false, true );
    }

    $ULPB_selectedPostTypes = get_option( 'page_builder_SupportedPostTypes' );

	if (!is_array($ULPB_selectedPostTypes)) {
		$ULPB_selectedPostTypes = array();
	}
	
	if (in_array($screen_id->post_type  , $ULPB_selectedPostTypes, false) ) {
		$checkPbActive = get_post_meta( $PbP_post_id, 'ulpb_page_builder_active', true );
		if ($checkPbActive === 'true') {
			wp_enqueue_script( 'ppb_export_template_script_enqueue', plugins_url( '',plugin_basename( __FILE__ ) ).'/export-page.js', array( 'jquery' ), false, true );
		 }
	}

}

?>