<?php  if ( ! defined( 'ABSPATH' ) ) exit;



$link = admin_url( $path = 'edit.php?post_type=ulpb_post&page=activate-License-key-page-builder', $scheme = 'admin' );
$updateManagerPoPageBuilder->setAdminNoticeText("  <b> Welcome To PluginOps Page Builder Pro </b> <br>  Please <a href='$link'>Activate your license key</a> to get updates, premium features & premium support. <br>");
//add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', '', null );
add_action( 'admin_menu', function() {
	add_submenu_page('edit.php?post_type=ulpb_post', 'License key', 'Activate Premium', 'manage_options', 'activate-License-key-page-builder', function( ) {

		global $updateManagerPoPageBuilder;

		echo $updateManagerPoPageBuilder->getLicenseKeyUIHtmlCode();

	});
} );
 

if ( $updateManagerPoPageBuilder->isLicenseKeyActivated() ) {
	$checkUpdateValue = get_transient( 'check_pagebuilder_update_value' );
	if ($checkUpdateValue == true) {
		include 'page-builder-add-templates-pack-one/extension.php';
		include 'page-builder-add-export-templates/extension.php';
		include 'page-builder-add-embed-anywhere-template-extension/extension.php';      
		include 'page-builder-add-form-database-extension/extension.php';
		include 'page-builder-add-global-row-extension/extension.php';
		include 'page-builder-add-mailchimp-extension/extension.php';
	}else{
		$value = $updateManagerPoPageBuilder->getLicenseKeyStatus();
		if ($value == 'activated') {
			set_transient( 'check_pagebuilder_update_value', true, 6*HOUR_IN_SECONDS );
			include 'page-builder-add-templates-pack-one/extension.php';
			include 'page-builder-add-export-templates/extension.php';
			include 'page-builder-add-embed-anywhere-template-extension/extension.php';      
			include 'page-builder-add-form-database-extension/extension.php';
			include 'page-builder-add-global-row-extension/extension.php';
			include 'page-builder-add-mailchimp-extension/extension.php';
		}	
		if ($value == 'canceled' || $value == 'invalid' || $value == 'notactivated') {
			set_transient( 'check_pagebuilder_update_value', false, 6*HOUR_IN_SECONDS );
		}
	}
	

	
}




?>