<?php


if ( ! defined( 'ABSPATH' ) ) exit;

add_action( 'admin_enqueue_scripts', 'ppb_pl_mailchimp_extension_script' );

function ppb_pl_mailchimp_extension_script( ) {

    $screen_id = get_current_screen();
    $PbP_post_id = get_the_ID();
    
    if ($screen_id->post_type === 'ulpb_post'){
        wp_enqueue_script( 'ppb_pl_mailchimp_extension_script_enqueue', plugins_url( '',plugin_basename( __FILE__ ) ).'/mailchimp.js', array( 'jquery' ), false, true );
    }


    $ULPB_selectedPostTypes = get_option( 'page_builder_SupportedPostTypes' );

    if (!is_array($ULPB_selectedPostTypes)) {
        $ULPB_selectedPostTypes = array();
    }
    
    if (in_array($screen_id->post_type  , $ULPB_selectedPostTypes, false) ) {
		$checkPbActive = get_post_meta( $PbP_post_id, 'ulpb_page_builder_active', true );
		if ($checkPbActive === 'true') {
			wp_enqueue_script( 'ppb_pl_mailchimp_extension_script_enqueue', plugins_url( '',plugin_basename( __FILE__ ) ).'/mailchimp.js', array( 'jquery' ), false, true );
		 }
	}


}



function ulpb_prem_extension_integrations(){
    echo '

        <div class="PB_accordion" style="width:90% !important;">
            <h4> MailChimp </h4>
            <div style="width:background:#fff !important;">
                <div class="pbp_form" style="width: 100%;">
                    <label>Enable MailChimp</label>
                    <select class="isMcActive">
                        <option value="false">No</option>
                        <option value="true">Yes</option>
                    </select>
                    <br><br><br><hr><br>
                    <label>List ID</label>
                    <input type="text" class="formDataMailChimpListId" style="width: 200px;">
                    <br><br><br><br><hr><br>
                    <label>API Key</label>
                    <input type="text" class="formDataMailChimpApi" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                </div>
            </div>
            <h4> GetResponse </h4>
            <div style="width:background:#fff !important;">
                <div class="pbp_form" style="width: 100%;">
                    <label>Enable GetResponse</label>
                    <select class="isGrActive">
                        <option value="false">No</option>
                        <option value="true">Yes</option>
                    </select>
                    <br><br><br><hr><br>
                    <label>Account Name</label>
                    <input type="text" class="GrAccountName" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                    <label>API Key</label>
                    <input type="text" class="GrApiKey" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                </div>
            </div>
            <h4> Campaign Monitor </h4>
            <div style="width:background:#fff !important;">
                <div class="pbp_form" style="width: 100%;">
                    <label>Enable Campaign Monitor</label>
                    <select class="isCmActive">
                        <option value="false">No</option>
                        <option value="true">Yes</option>
                    </select>
                    <br><br><br><hr><br>
                    <label>List ID</label>
                    <input type="text" class="CmAccountName" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                    <label>API Key</label>
                    <input type="text" class="CmApiKey" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                </div>
            </div>
            <h4> Active Campaign </h4>
            <div style="width:background:#fff !important;">
                <div class="pbp_form" style="width: 100%;">
                    <label>Enable Active Campaign</label>
                    <select class="isAcActive">
                        <option value="false">No</option>
                        <option value="true">Yes</option>
                    </select>
                    <br><br><br><hr><br>
                    <label>List ID</label>
                    <input type="text" class="AcAccountName" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                    <label>API Key</label>
                    <input type="text" class="AcApiKey" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                    <label>API URL</label>
                    <input type="text" class="AcApiURL" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                </div>
            </div>
            <h4> Drip </h4>
            <div style="width:background:#fff !important;">
                <div class="pbp_form" style="width: 100%;">
                    <label>Enable Drip</label>
                    <select class="isDripActive">
                        <option value="false">No</option>
                        <option value="true">Yes</option>
                    </select>
                    <br><br><br><hr><br>
                    <label>Account ID</label>
                    <input type="text" class="DripAccountName" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                    <label>API Token</label>
                    <input type="text" class="DripApiKey" style="width: 200px;">
                    <br><br><br><br><br><hr><br>
                </div>
            </div>
        </div>

        <div class="integrationPBFields" style="">
            
        </div>
        <div class="integrationGRFields" style="">
            
        </div>
        <div class="integrationCMFields" style="">
            
        </div>
        <div class="integrationAcFields" style="">
            
        </div>
        <div class="integrationCMFields" style="">
            
        </div>

    ';
}


function ulpb_prem_extension_integrations_form_builder(){
    echo '
        <div class="PB_accordion" style="width:90% !important;">
        
            <h4>MailChimp </h4>
            <div class="pbp_form"> 
                <label>Enable MailChimp</label>
                <select class="formBuilderEnableMailChimp">
                    <option value="false">No</option>
                    <option value="true">Yes</option>
                </select>
                <br><br><br><br><hr><br>
                <label>List ID</label>
                <input type="text" class="formBuilderMCAccountName" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API Key</label>
                <input type="text" class="formBuilderMCApiKey" style="width: 200px;">
                <br><br><br><br><br><hr><br>
            </div>

            <h4>GetResponse </h4>
            <div class="pbp_form"> 
                <label>Enable GetResponse</label>
                <select class="formBuilderEnableGetResponse">
                    <option value="false">No</option>
                    <option value="true">Yes</option>
                </select>
                <br><br><br><br><hr><br>
                <label>Account Name</label>
                <input type="text" class="formBuilderGRAccountName" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API Key</label>
                <input type="text" class="formBuilderGRApiKey" style="width: 200px;">
                <br><br><br><br><br><hr><br>
            </div>

            <h4>Campaign Monitor </h4>
            <div class="pbp_form"> 
                <label>Enable Campaign Monitor</label>
                <select class="formBuilderEnableCM">
                    <option value="false">No</option>
                    <option value="true">Yes</option>
                </select>
                <br><br><br><br><hr><br>
                <label>List ID</label>
                <input type="text" class="formBuilderCMAccountName" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API Key</label>
                <input type="text" class="formBuilderCMApiKey" style="width: 200px;">
                <br><br><br><br><br><hr><br>
            </div>

            <h4>Active Campaign </h4>
            <div class="pbp_form"> 
                <label>Enable Active Campaign</label>
                <select class="formBuilderEnableAC">
                    <option value="false">No</option>
                    <option value="true">Yes</option>
                </select>
                <br><br><br><br><hr><br>
                <label>List ID</label>
                <input type="text" class="formBuilderACAccountName" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API Key</label>
                <input type="text" class="formBuilderACApiKey" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API URL</label>
                <input type="text" class="formBuilderACApiUrl" style="width: 200px;">
                <br><br><br><br><br><hr><br>
            </div>

            <h4> Drip </h4>
            <div class="pbp_form"> 
                <label>Enable Drip</label>
                <select class="formBuilderEnableDrip">
                    <option value="false">No</option>
                    <option value="true">Yes</option>
                </select>
                <br><br><br><br><hr><br>
                <label>Account ID</label>
                <input type="text" class="formBuilderDripAccountName" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API Token</label>
                <input type="text" class="formBuilderDripApiKey" style="width: 200px;">
                <br><br><br><br><br><hr><br>
            </div>

            <h4> Aweber </h4>
            <div class="pbp_form"> 
                
                <div class="aweberConnectionSetupOne">
                    <a href="https://auth.aweber.com/1.0/oauth/authorize_app/9ea444d2" target="_blank" style="font-size:15px;"> Get authorization code here :</a>
                    <br> <br>
                    <form id="aweberConnectForm" method="post">
                        <label> Enter Authorization Code : </label>
                        <br> <br>
                        <textarea class="aweberAuthCode"  name="aweberAuthCode" style="width:80%;"> </textarea>
                    </form>
                    <br>
                    <div id="aweberConnectButton" style="padding: 5px 15px; background: #8BC34A; width: 50px; text-align: center; font-size: 16px; color: #fff; border-radius: 5px; margin-left: 200px; cursor:pointer;"> Next </div>
                    <br>
                    <div class="aweberLoader" style="display: none;"> Connecting...</div>
                    <br>
                </div>
                <div class="aweberConnectionSetupTwo" style="display: none;">
                    <label>Enable Aweber</label>
                    <select class="formBuilderEnableAweber">
                        <option value="false">No</option>
                        <option value="true">Yes</option>
                    </select>
                    <br><br><br><br><hr><br>
                    <label for="formBuilderAweberList"> Select List : </label>
                    <select class="formBuilderAweberList" id="formBuilderAweberList">
                    </select>
                </div>
                <br><br><br><br><hr><br>
            </div>

            <h4> ConvertKit </h4>
            <div class="pbp_form"> 
                <label>Enable ConvertKit</label>
                <select class="formBuilderEnableConvertKit">
                    <option value="false">No</option>
                    <option value="true">Yes</option>
                </select>
                <br><br><br><br><hr><br>
                <label>Sequence ID</label>
                <input type="text" class="formBuilderConvertKitAccountName" style="width: 200px;">
                <br><br><br><br><br><hr><br>
                <label>API Key</label>
                <input type="text" class="formBuilderConvertKitApiKey" style="width: 200px;">
                <br><br><br><br><br><hr><br>
            </div>

        </div>
            
    ';
}

?>